Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.loaders
Class OperationAdapter

    java.lang.Object
      org.openide.loaders.OperationAdapter

All Implemented Interfaces:
  EventListener, OperationListener

    public class OperationAdapter

extends Object
implements OperationListener

Adapter for methods of `OperationListener`.

Constructor Summary
`OperationAdapter()`

Method Summary
`void` | `operationCopy(OperationEvent.Copy ev)` Object has been successfully copied.
`void` | `operationCreateFromTemplate(OperationEvent.Copy ev)` New instance of an object has been created.
`void` | `operationCreateShadow(OperationEvent.Copy ev)` A shadow of a data object has been created.
`void` | `operationDelete(OperationEvent ev)` Object has been successfully deleted.
`void` | `operationMove(OperationEvent.Move ev)` Object has been successfully moved.
`void` | `operationPostCreate(OperationEvent ev)` Object has been recognized by `DataLoaderPool.findDataObject(org.openide.filesystems.FileObject)`.
`void` | `operationRename(OperationEvent.Rename ev)` Object has been successfully renamed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationAdapter

    public OperationAdapter()

Method Detail

### operationPostCreate

    public void operationPostCreate(OperationEvent ev)

  Description copied from interface: `OperationListener`
  Object has been recognized by `DataLoaderPool.findDataObject(org.openide.filesystems.FileObject)`. This allows listeners to attach additional cookies, etc.

  Specified by:
    `operationPostCreate` in interface `OperationListener`
  Parameters:
    `ev` - event describing the action

### operationCopy

    public void operationCopy(OperationEvent.Copy ev)

  Description copied from interface: `OperationListener`
  Object has been successfully copied.

  Specified by:
    `operationCopy` in interface `OperationListener`
  Parameters:
    `ev` - event describing the action

### operationMove

    public void operationMove(OperationEvent.Move ev)

  Description copied from interface: `OperationListener`
  Object has been successfully moved.

  Specified by:
    `operationMove` in interface `OperationListener`
  Parameters:
    `ev` - event describing the action

### operationDelete

    public void operationDelete(OperationEvent ev)

  Description copied from interface: `OperationListener`
  Object has been successfully deleted.

  Specified by:
    `operationDelete` in interface `OperationListener`
  Parameters:
    `ev` - event describing the action

### operationRename

    public void operationRename(OperationEvent.Rename ev)

  Description copied from interface: `OperationListener`
  Object has been successfully renamed.

  Specified by:
    `operationRename` in interface `OperationListener`
  Parameters:
    `ev` - event describing the action

### operationCreateShadow

    public void operationCreateShadow(OperationEvent.Copy ev)

  Description copied from interface: `OperationListener`
  A shadow of a data object has been created.

  Specified by:
    `operationCreateShadow` in interface `OperationListener`
  Parameters:
    `ev` - event describing the action

### operationCreateFromTemplate

    public void operationCreateFromTemplate(OperationEvent.Copy ev)

  Description copied from interface: `OperationListener`
  New instance of an object has been created.

  Specified by:
    `operationCreateFromTemplate` in interface `OperationListener`
  Parameters:
    `ev` - event describing the action

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.